from settings import http, configuration
from models import BaseModel
from helpers.postgre_alchemy import postgre_alchemy as db
import datetime

class BpsPodes201832KecamatanModel(BaseModel, db.Model):
    """Model for the bps_podes2018_32_kecamatan table"""
    __tablename__ = 'podes2018_32_kecamatan'
    __table_args__ = {'schema': 'bps'}

    # start model
    R101 = db.Column(db.String(255))
    R101N = db.Column(db.String(255))
    R102 = db.Column(db.String(255))
    R102N = db.Column(db.String(255))
    R103 = db.Column(db.String(255))
    R103N = db.Column(db.String(255))
    R303 = db.Column(db.String(255))
    R304A = db.Column(db.String(255))
    R304B = db.Column(db.String(255))
    R401AK2 = db.Column(db.String(255))
    R401AK3 = db.Column(db.String(255))
    R401BK2 = db.Column(db.String(255))
    R401BK3 = db.Column(db.String(255))
    R401CK2 = db.Column(db.String(255))
    R401CK3 = db.Column(db.String(255))
    R501A = db.Column(db.String(255))
    R501B = db.Column(db.String(255))
    R601AK2 = db.Column(db.String(255))
    R601AK3 = db.Column(db.String(255))
    R601BK2 = db.Column(db.String(255))
    R601BK3 = db.Column(db.String(255))
    R601CK2 = db.Column(db.String(255))
    R601CK3 = db.Column(db.String(255))
    R601DK2 = db.Column(db.String(255))
    R601DK3 = db.Column(db.String(255))
    R601EK2 = db.Column(db.String(255))
    R601EK3 = db.Column(db.String(255))
    R601FK2 = db.Column(db.String(255))
    R601FK3 = db.Column(db.String(255))
    R601GK2 = db.Column(db.String(255))
    R601GK3 = db.Column(db.String(255))
    R701A = db.Column(db.String(255))
    R701B1 = db.Column(db.String(255))
    R702AK2 = db.Column(db.String(255))
    R702AK3 = db.Column(db.String(255))
    R702BK2 = db.Column(db.String(255))
    R702BK3 = db.Column(db.String(255))
    R702CK2 = db.Column(db.String(255))
    R702CK3 = db.Column(db.String(255))
    R702DK2 = db.Column(db.String(255))
    R702DK3 = db.Column(db.String(255))
    R702EK2 = db.Column(db.String(255))
    R702EK3 = db.Column(db.String(255))
    R702FK2 = db.Column(db.String(255))
    R702FK3 = db.Column(db.String(255))
    R702GK2 = db.Column(db.String(255))
    R702GK3 = db.Column(db.String(255))
    R802AK2 = db.Column(db.String(255))
    R802AK3 = db.Column(db.String(255))
    R802BK2 = db.Column(db.String(255))
    R802BK3 = db.Column(db.String(255))
    R803A = db.Column(db.String(255))
    R803B1K2 = db.Column(db.String(255))
    R803B1K3 = db.Column(db.String(255))
    R803B2K2 = db.Column(db.String(255))
    R803B2K3 = db.Column(db.String(255))
    R803B3K2 = db.Column(db.String(255))
    R803B3K3 = db.Column(db.String(255))
    R803B4K2 = db.Column(db.String(255))
    R803B4K3 = db.Column(db.String(255))
    R803B5K2 = db.Column(db.String(255))
    R803B5K3 = db.Column(db.String(255))
    R803B6K2 = db.Column(db.String(255))
    R803B6K3 = db.Column(db.String(255))
    R804A = db.Column(db.String(255))
    R804B = db.Column(db.String(255))
    R901AK2 = db.Column(db.String(255))
    R901BK2 = db.Column(db.String(255))
    R901CK2 = db.Column(db.String(255))
    R901DK2 = db.Column(db.String(255))
    R901EK2 = db.Column(db.String(255))
    R901FK2 = db.Column(db.String(255))
    R901GK2 = db.Column(db.String(255))
    R901HK2 = db.Column(db.String(255))
    R1001A = db.Column(db.String(255))
    R1001B = db.Column(db.String(255))
    R1101AK2 = db.Column(db.String(255))
    R1101AK3 = db.Column(db.String(255))
    R1101AK4 = db.Column(db.String(255))
    R1101AK5 = db.Column(db.String(255))
    R1101BK2 = db.Column(db.String(255))
    R1101BK3 = db.Column(db.String(255))
    R1101BK4 = db.Column(db.String(255))
    R1101BK5 = db.Column(db.String(255))
    id = db.Column(db.Integer, primary_key=True)
